# -*- coding: utf-8; -*-
#
# Copyright (C) 2010
#
# This file is part of Satega. 
#
# aatdark <aatdark@gmail.com>
# Satega is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Satega is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Satega.  If not, see <http://www.gnu.org/licenses/>.
# Autor of this file:
# -> aatdark
#

from satega.model.share import ShareTools
import logging

from pylons import request, response, session, tmpl_context as c
from pylons.controllers.util import abort, redirect_to
from repoze.what.predicates import has_permission, in_group
from repoze.what.plugins.pylonshq import ActionProtector,ControllerProtector
import satega.lib.helpers as h
from satega.lib.base import BaseController, render

from satega.model.musicserver import MusicServer

import formencode
from pylons.decorators import validate
log = logging.getLogger(__name__)


class MusicserverController(BaseController):
    @ActionProtector(in_group('admins'))
    def index(self):
        ms = MusicServer()
        c.shares = ShareTools.get_all_share_objects()
        defaults = {}
        #defaults['mp3_dirs'] = ms.getmp3dirs()
        defaults['selected'] = ms.getmp3dirs()
        defaults['mp3_dirs'] = ms.getmp3dirs()
        defaults['server_name'] = ms.getServerName()
        return formencode.htmlfill.render(render('/musicserver.mako'),defaults)

    @ActionProtector(in_group('admins'))
    def submit(self):
        servername = request.params['server_name']
        #mp3dirs = request.params['mp3_dirs']
        mp3dir = request.params['selected']
        ms = MusicServer()
        ms.saveConfiguration(mp3dir,servername)

        return self._success("musicserver", "index", "Updated MusicServer")

