# -*- coding: utf-8; -*-
#
# Copyright (C) 2010
#
# This file is part of Satega (www.satega.org)
#
# aatdark <aatdark@gmail.com>
# Satega is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Satega is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Satega.  If not, see <http://www.gnu.org/licenses/>.
# Autor of this file:
# -> aatdark
#

import logging

from pylons import request, response, session, tmpl_context as c
from pylons.controllers.util import abort, redirect_to
from repoze.what.predicates import has_permission, in_group
from repoze.what.plugins.pylonshq import ActionProtector,ControllerProtector
import satega.lib.helpers as h
from satega.lib.base import BaseController, render

from satega.model.service import Servicelist



log = logging.getLogger(__name__)

class ServiceController(BaseController):
    """
    this controller allows the user to enable and disable
    3rd party modules
    """
    @ActionProtector(in_group('admins'))
    def index(self):
        ret  =""
        for element in Servicelist.getList():
            ret += str(element.getName())
        #return ret
        
        #return Servicelist.getList()
        c.modules = Servicelist.getList()
        return render('/servicecontrol.mako')
        
    @ActionProtector(in_group('admins'))
    def enable(self):
        return c.id
    
    @ActionProtector(in_group('admins'))
    def disable(self):
        #module to disable
        module = Servicelist.getList()[int(c.id)]
        module.disable()
        return "Module "+ module.getName() + " disabled"
    
