# -*- coding: utf-8; -*-
#
# Copyright (C) 2010
#
# This file is part of Satega.
#
# aatdark <aatdark@gmail.com>
# Satega is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Satega is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Satega.  If not, see <http://www.gnu.org/licenses/>.
# Autor of this file:
# -> aatdark
#

from satega.model.background import UpdateSystemTask
from satega.lib.shellProcess import ShellProcess
from satega.model.updater import Updater
from satega.model.share import NfsShareTools
from pylons import request, response, session, tmpl_context as c
from pylons.controllers.util import abort, redirect_to

from repoze.what.predicates import has_permission, in_group
from repoze.what.plugins.pylonshq import ActionProtector,ControllerProtector
import satega.lib.helpers as h

from satega.model.background import TaskControl
from satega.model.drive import DriveTools
from satega.model.share import Share , ShareTools , UniqueShare
import formencode
from pylons.decorators import validate
from satega.lib.base import BaseController, render


import logging
log = logging.getLogger(__name__)



class UpdaterController(BaseController):
    """
    overs the user an easy way to upgrade
    this is also temporary
    (later apt-get will beused)
    """
    @ActionProtector(in_group('admins'))
    def index(self):
        return render('/updater.mako')

    @ActionProtector(in_group('admins'))
    def updatesatega(self):
        """
        update the codebase of satga
        viva a bzr pull cmd
        """
        Updater.updatesatega()
        return self._success('updater', 'updatestarted', '')

    def updatestarted(self):
        """
        shows an update started screen
        """
        return render('/updatestarted.mako')
    
    @ActionProtector(in_group('admins'))
    def updateubuntu(self):
        """
        update the whole system
        with apt-get update
        """
        Updater.updatesystem()
        return self._success('updater', 'updatestarted', '')

        
