# -*- coding: utf-8; -*-
#
# Copyright (C) 2010
#
# This file is part of Satega.
#
# aatdark <aatdark@gmail.com>
# Satega is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Satega is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Satega.  If not, see <http://www.gnu.org/licenses/>.
# Autor of this file:
# -> aatdark
#

from satega.model.upnp import UPnP
from pylons import request, response, session, tmpl_context as c

from repoze.what.predicates import in_group
from repoze.what.plugins.pylonshq import ActionProtector

from satega.model.share import ShareTools 
from satega.lib.base import BaseController, render

import formencode
import logging
log = logging.getLogger(__name__)


class UpnpController(BaseController):
  

    @ActionProtector(in_group('admins'))
    def index(self):
        c.shares = ShareTools.get_all_share_objects()
        c.installed = UPnP.is_installed()
        selected = UPnP.list_shares()

        defaults = { 
                     'selected' : selected,
                    }
        return formencode.htmlfill.render(render('/upnp.mako'),defaults)

    @ActionProtector(in_group('admins'))
    def submit(self):
        """
        update the server config
        """
        selected =  request.params.getall('selected')
        UPnP.update_shares(selected)
        UPnP.restart()
        return self._success("upnp", "index", "Updated the Config")
    
    @ActionProtector(in_group('admins'))
    def install(self):
        UPnP.install()
        return self._success("upnp", "index", "Installed UPnP server")
   
