# -*- coding: utf-8; -*-
#
# Copyright (C) 2010
#
# This file is part of Satega (www.satega.org).
#
# aatdark <aatdark@gmail.com>
# Satega is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Satega is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Satega.  If not, see <http://www.gnu.org/licenses/>.
# Autor of this file:
# -> aatdark
#

"""The base Controller API

Provides the BaseController class for subclassing.
"""
from pylons.controllers import WSGIController
#enable xml
from pylons.controllers.xmlrpc import XMLRPCController

from pylons.templating import render_mako as render

from satega.model.user import LdapControl
from satega.model.group import LdapGroupControl

from pylons import request, response, session, tmpl_context as c
from pylons.controllers.util import abort, redirect_to

class BaseController(WSGIController):

    def __call__(self, environ, start_response):
        """Invoke the Controller"""
        # WSGIController.__call__ dispatches to the Controller method
        # the request is routed to. This routing information is
        # available in environ['pylons.routes_dict']
        return WSGIController.__call__(self, environ, start_response)

    def _error(self,controller,action,msg):
        """
        shows the userlist
        and load the data
        """
        session['flash_error'] = msg
        session.save()
        redirect_to(controller=controller , action=action )

    def _success(self,controller,action,msg):
        """
        shows the userlist
        and load the data
        """
        session['flash_success'] = msg
        session.save()
        redirect_to(controller=controller , action=action )
