# -*- coding: utf-8; -*-
#
# Copyright (C) 2010
#
# This file is part of Satega (www.satega.org).
#
# aatdark <aatdark@gmail.com>
# Satega is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Satega is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Satega.  If not, see <http://www.gnu.org/licenses/>.
# Autor of this file:
# -> aatdark
#

__author__="berni"
__date__ ="$Aug 22, 2009 4:24:49 PM$"

if __name__ == "__main__":
    print "Hello World";

import formencode

class GreaterThan(formencode.validators.FormValidator):
    """
    mainly source : FormEncode.validators.FieldsMatch
    """
    show_match = True
    field_names = None
    validate_partial_form = True
    __unpackargs__ = ('*', 'field_names')

    messages = {
        'invalid': "Value has to be smaller than  %(match)s",
        'invalidNoMatch': "Value has to be smaller",
        'notDict': "Fields should be a dictionary",
        }

    def __init__(self, *args, **kw):
        super(formencode.validators.FormValidator, self).__init__(*args, **kw)
        if len(self.field_names) < 2:
            raise TypeError("FieldsMatch() requires at least two field names")

    def validate_python(self, field_dict, state):
        errors = {}
        last = None
        for name in self.field_names:
            value = field_dict.get(name,None)
            if value == None:
                raise Exception('nooo')
            if last == None:
                last = value

            if last < value:
                if self.show_match:
                    errors[name] = self.message('invalid', state,match=last)
                else:
                    errors[name] = self.message('invalidNoMatch', state)

        if errors:
            error_list = errors.items()
            error_list.sort()
            error_message = '<br>\n'.join(
                ['%s: %s' % (name, value) for name, value in error_list])
            raise formencode.validators.Invalid(error_message,
                          field_dict, state,
                          error_dict=errors)
