# -*- coding: utf-8; -*-
#
# Copyright (C) 2010
#
# This file is part of Satega (www.satega.org).
#
# aatdark <aatdark@gmail.com>
# Satega is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Satega is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Satega.  If not, see <http://www.gnu.org/licenses/>.
# Autor of this file:
# -> aatdark
#



from satega.model.background import UpdateSystemTask
from satega.model.background import ExecuteCmdTask
from satega.model.background import MoveFilesTask
from satega.model.background import TaskControl 
from satega.lib.shellProcess import ShellProcess,shLaunch
import os
import tempfile
import shutil
import re
from ConfigParser import ConfigParser, NoOptionError, NoSectionError

import logging
log = logging.getLogger(__name__)

import formencode

class Updater(object):
    @staticmethod
    def updatesatega():
        """
        updates the satega branch.
        this method uses the sategaupdate.sh script
        """
        tc = TaskControl.get_instance()
        task = ExecuteCmdTask('Satega Codebase Update',('/root/satega/sategaupdate.sh',))
        task.start()
        # @type tc TaskControl
        tc.register_task(task)

    @staticmethod
    def updatesystem():
        """
        updates the system with
        apt-get
        """
        tc = TaskControl.get_instance()
        task = UpdateSystemTask('System Update',())
        task.start()
        # @type tc TaskControl
        tc.register_task(task)
