# -*- coding: utf-8; -*-
#
# Copyright (C) 2010
#
# This file is part of Satega (www.satega.org).
#
# aatdark <aatdark@gmail.com>
# Satega is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Satega is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Satega.  If not, see <http://www.gnu.org/licenses/>.
# Autor of this file:
# -> aatdark
#



from satega.model.background import RemoveFilesTask
from satega.model.background import MoveFilesTask
from satega.model.background import TaskControl
from satega.lib.shellProcess import ShellProcess,shLaunch
import os
import tempfile
import shutil
import re
from ConfigParser import ConfigParser, NoOptionError, NoSectionError

import logging
log = logging.getLogger(__name__)

import formencode


class UPnP(object):
    """
    backend for the
    ushare upnp deamon.
    enables restart , share change . .etc
    """

    @staticmethod
    def is_installed():
        """
        checks if ushare is insatlled
        @returns True if installed
        """
        if os.path.exists('/etc/ushare.conf'):
            return True
        return False

    @staticmethod
    def restart():
        """
        restarts the server
        (async)
        """
        sh = ShellProcess('/etc/init.d/ushare restart')
        sh.execute_async()
        
    @staticmethod
    def install():
        """
        installs the ubuntu package
        """
        shLaunch("apt-get install -y ushare")
    @staticmethod
    def update_shares(paths):
        """
        writes the new share paths in the file
        and relodas the server
        
        """
        file = open('/etc/ushare.conf','r+')
        lines = file.read().split(os.linesep)

        config = []
        for line in lines:
            if line.startswith('USHARE_DIR'):
                dirs = ",".join(paths)
                config.append('USHARE_DIR=%s'%(dirs) + os.linesep)
            else:
                config.append(line + os.linesep)
        file.seek(0)
        file.truncate()
        file.writelines(config)
        file.close()
        
    @staticmethod
    def list_shares():
        """
        lists all the shares
        currenty shared on upnp
        @returns string array
        """
        file = open('/etc/ushare.conf','r')
        lines = file.read().split(os.linesep)
        paths = None
        for line in lines:
            if line.startswith('USHARE_DIR'):
                parts = line.split('=')
                paths = parts[1].split(',')
                break
        return paths
