<%inherit file="/skelettmenu.mako"/>\
<%def name="title()">Drive List</%def>
<%namespace name="user" file="/userhelp.mako"/>
<%namespace name="dh" file="/drivehelp.mako"/>

<h1> ${title()}</h1>

<table >
<thead>
  <th>Name</th>
  <th>Devicepath</th>
  <th></th>
  <th>Size</th>
  <th>Devicetyp</th>
  <th>Options</th>
</thead>
<thead>
	<th> &nbsp;</th>
	<th>Name ( mountpoint ) </th>
	<th></th>
	<th>Size</th>
	<th>Filesystem</th>
	<th>Options</th>
</thead>
<tbody>
% for drive in c.drives:

<!-- only show this if there is more than one partition !-->
% if len(drive.getPartitions()) > 1:
<tr>
 <td> ${drive.getName() or 'Name'}</td>
 <td> ${drive.getDevPath()}</td>
 <td> ${round(drive.getSize(),1)} GB </td>
 <td style="width:300px">  
 	<table style="width:90% ; table-layout:fixed">
		 <tr>
			<td style="overflow:visible ; padding:3px 3px 3px 3px ; font-size: 1em ; width:${dh.getPercent(drive.getSize())}% ; background-color:#0572ed ; text-align:center ; ">
				${round(drive.getSize(),1)}&nbsp;GB
			</td>
			<td style="; background-color:white"></td>
		 </tr>
	</table>
 </td>
</tr>
% endif
	% for part in drive.getPartitions():
	% if part.getFilesystem() != 'linux-swap':

	<tr>
		<td >  </td>
		<td> ${part.getDevName()} (${part.getMountPoint() or 'not mounted'} ) </td>
		<td> ${round(part.getSize(),1)} GB </td>
		<td style="width:300px">
			<table style="width:90% ; table-layout:fixed">
			 <tr>
				
				<td style="line-height:8pt ; width:${part.getSizeInPercent()}% ; background-color:${dh.getPartColor(part)} ; overflow:visible ; text-align:center ; padding:3px 3px 3px 3px ; font-size: 1em ;  ">
					${round(part.getUsed(),1)}&nbsp;GB
				</td>
				% if part.getSizeInPercent() < 100:
				<td style="padding:3px 3px 3px 3px ; font-size: 1em ; background-color:#e6f9af ; text-align:center">			
					${round(part.getFree(),1)} GB
				</td>
				% endif

			 </tr>
			</table>
		</td>
		<td> ${part.getFilesystem() } </td>
		<td>

		% if part.isMounted():
			% if part.getMountPoint() != '/':
				<a href="${h.url_for(controller='drive'  , action='unmount' , id=part.getDevPath().replace('/','-'))}">unmount</a>					
			% endif
		% else:
			% if part.getFilesystem() != 'linux-swap':
				<a href="${h.url_for(controller='drive'  , action='mount' , id=part.getDevPath().replace('/','-'))}">mount</a>					
			% endif
		% endif
		<!--
		<br/>
		<a href="${h.url_for(controller='drive'  , action='format' , id=part.getDevPath().replace('/','-'))}">format</a>					
		-->

		</td>
	</tr>
	% endif
	% endfor
	<tr><td colspan=6><hr></td></tr>
% endfor
<!-- and now the raid partitions --!>
% for part in c.raid:
<tr>
		<td > Raid </td>
		<td> ${part.getDevName()} (${part.getMountPoint() or 'not mounted'} ) </td>
		<td> ${round(part.getSize(),1)} GB </td>
		<td style="width:300px">
			<table style="width:90% ;  table-layout:fixed">
			 <tr>
				
				<td style="line-height:8pt ; width:${part.getSizeInPercent()}% ; background-color:${dh.getPartColor(part)} ; overflow:visible ; text-align:center ; padding:3px 3px 3px 3px ; font-size: 1em ;  ">
					${round(part.getUsed(),1)}&nbsp;GB
				</td>
				% if part.getSizeInPercent() < 100:
				<td style="padding:3px 3px 3px 3px ; font-size: 1em ; background-color:#e6f9af ; text-align:center">			
					${round(part.getFree(),1)} GB
				</td>
				% endif

			 </tr>
			</table>
		</td>
		<td> ${part.getFilesystem() } </td>
		<td>

		% if part.isMounted():
			% if part.getMountPoint() != '/':
				<a href="${h.url_for(controller='drive'  , action='unmount' , id=part.getDevPath().replace('/','-'))}">unmount</a>					
			% endif
		% else:
			% if part.getFilesystem() != 'linux-swap':
				<a href="${h.url_for(controller='drive'  , action='mount' , id=part.getDevPath().replace('/','-'))}">mount</a>					
			% endif
		% endif
		<!--
		<br/>
		<a href="${h.url_for(controller='drive'  , action='format' , id=part.getDevPath().replace('/','-'))}">format</a>					
		-->

		</td>
	</tr>
% endfor
</tbody>
</table>

% if len(c.drives_not_ready) > 0:
<h1> Devices that are not ready yet</h1>
<table>
<thead>
  <th>Name</th>
  <th>Devicepath</th>
  <th>Size</th>
  <th>Devicetyp</th>
  <th>Options</th>
</thead>
<tbody>
% for drive in c.drives_not_ready:
<tr>
 <td> ${drive.getName() or 'Name'}</td>
 <td> ${drive.getDevPath()}</td>
 <td style="width:300px">  
 	<table style="width:90%">
		 <tr>
			<td style="padding:3px 3px 3px 3px ; font-size: 1em ; width:${dh.getPercent(drive.getSize())}% ; background-color:#0572ed ; text-align:center ; ">
				can not detected the size
			</td>
			<td style="; background-color:white"></td>
		 </tr>
	</table>
 </td>
 <td> not ready</td>
 <td>
 	<a href="${h.url_for(controller='drive' , action='format' , id=drive.getDevPath().replace('/','-'))}">format</a>
 </td>
</tr>
% endfor
</tbody>
</table>
% endif
<!-- ${h.link_to('create new share' , h.url_for(controller='share' , action='create'))} -->
