# -*- coding: utf-8; -*-
#
# Copyright (C) 2010
#
# This file is part of Satega (www.satega.org).
#
# aatdark <aatdark@gmail.com>
# Satega is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Satega is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Satega.  If not, see <http://www.gnu.org/licenses/>.
# Autor of this file:
# -> aatdark
#

if __name__ == "__main__":
	print "x"*60
	print "IMPORTANT:: Please run with nosetests --with-pylons development.ini"
	print "x"*60
from satega.model.boxbackup import AccountNameMapping
from satega.model.boxbackup import Boxbackup
from satega.model.background import TaskControl
import unittest
from satega.model.boxbackup import *
from satega.lib.shellProcess import ShellProcess,shLaunch

class TestBoxbackup(unittest.TestCase):
    def test_get_account_list(self):
        assert '1' not in Boxbackup.get_account_list()
        assert 1 in Boxbackup.get_account_list()

    def test_next_account_id(self):
        assert Boxbackup.next_account_id() > 1

    def test_create(self):
        count = len(Boxbackup.get_account_list())
        id = Boxbackup.create_account_and_certs('test',10,20)
        count2 = len(Boxbackup.get_account_list())
        assert count +1 == count2
        Boxbackup.delete_account(id)
        count3 = len(Boxbackup.get_account_list())
        assert count3 == count
        Boxbackup.create_account_and_certs('test',20,10)

    def test_get_raidfile_path(self):
        assert Boxbackup.get_raidfile_path().startswith('/mnt') == True

    def test_get_name_from_id(self):
        backup = AccountNameMapping.get_dict()
        AccountNameMapping.save_dict({})
        res = AccountNameMapping.get_name_from_id(1)
        assert res == None # not found
        AccountNameMapping.set_and_save(0,'frank')
        AccountNameMapping.set_and_save(1,'jojo')
        AccountNameMapping.set_and_save(33,'extreme')
        print res
        res = AccountNameMapping.get_name_from_id(33)
        print res
        assert res == 'extreme'
        AccountNameMapping.save_dict(backup)

    def test_get_stats_for_client(self):
        Boxbackup.get_stats_for_client(1)
        #assert False
        
    def test_get_certs_for_client(self):
        Boxbackup.create_client_certs(1)
        certs = Boxbackup.get_certs_for_client(1)
        print certs
        assert 'cert' in certs
        assert 'key' in certs
        assert 'ca' in certs
        assert 'raw' in certs
        assert len(certs['cert']) > 100
        assert len(certs['raw']) > 100
        assert len(certs['key']) > 100
        assert len(certs['ca']) > 100
