# -*- coding: utf-8; -*-
#
# Copyright (C) 2010
#
# This file is part of Satega (www.satega.org).
#
# aatdark <aatdark@gmail.com>
# Satega is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Satega is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Satega.  If not, see <http://www.gnu.org/licenses/>.
# Autor of this file:
# -> aatdark
#

if __name__ == "__main__":
	print "x"*60
	print "IMPORTANT:: Please run with nosetests --with-pylons development.ini"
	print "x"*60
import unittest
from satega.model.user import LdapControl,LdapUser
from satega.model.group import LdapGroup,LdapGroupControl

class TestLdapGroupControl(unittest.TestCase):
	def testListGroups(self):
		assert 'admins' in LdapGroupControl.listGroups()
	
	def testCombined(self):
		if 'testxx' in LdapGroupControl.listGroups():
			LdapGroupControl.removeGroup('testxx')
			if 'testxx' in LdapGroupControl.listGroups():
				assert False

		LdapGroupControl.createGroup('testxx')
		print LdapGroupControl.listGroups()
		assert 'testxx' in 	LdapGroupControl.listGroups()
		LdapGroupControl.removeGroup('testxx')
		assert 'testxx' not in 	LdapGroupControl.listGroups()
		
	def testload(self):
		group = LdapGroupControl.loadGroup('admins')
		assert LdapControl.makeDN('root') in group
		assert len(group.members) > 0 
