# -*- coding: utf-8; -*-
#
# Copyright (C) 2010
#
# This file is part of Satega (www.satega.org).
#
# aatdark <aatdark@gmail.com>
# Satega is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Satega is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Satega.  If not, see <http://www.gnu.org/licenses/>.
# Autor of this file:
# -> aatdark
#

if __name__ == "__main__":
	print "x"*60
	print "IMPORTANT:: Please run with nosetests --with-pylons development.ini"
	print "x"*60
from satega.model.drive import DriveTools
from satega.model.drive import Partition
from symbol import assert_stmt
import unittest
from satega.model.share import ShareTools , Share

class TestShare(unittest.TestCase):

    def test_get_share_object(self):
        share = ShareTools.get_share_object('images')
        # @type share Share
        print share
        assert share.get_name() == 'images'
        assert len(share.get_path() ) > 1
    def test_get_all_share_objects(self):
        shares = ShareTools.get_all_share_objects()
        print shares
        assert 'images' in shares

    def test_get_partition_from_path(self):
        DriveTools.autoMountAllParts()
        part = ShareTools.get_partition_from_path('/mnt/devsdc1/')
        # @type part Partition
        print part
        print part.mountpoint
        assert part.mountpoint == '/mnt/devsdc1'
        assert part.getDevName() == 'sdc1'

        part = ShareTools.get_partition_from_path('/tests')
        # @type part Partition
        print part
        print part.mountpoint
        assert part.mountpoint == '/'
        assert part.getDevName() == 'sda1'

        part = ShareTools.get_partition_from_path('/mnt/devsdb1/')
        # @type part Partition
        print part
        print part.mountpoint
        assert part.mountpoint == '/mnt/devsdb1'
        assert part.getDevName() == 'sdb1'


    def test_is_share(self):
        assert ShareTools.is_share('images') == True
        assert ShareTools.is_share('imagesxx') == False
    def test_create_share(self):
        DriveTools.autoMountAllParts()
        preshares = ShareTools.get_samba_sections()
        if 'xxtest' in preshares:
            ShareTools.remove_samba_share('xxtest')
        preshares = ShareTools.get_samba_sections()
        assert 'xxtest' not in preshares
        sh = Share()
        sh.sharename = 'xxtest'
        sh.datastore = ShareTools.get_partition_from_path('/mnt/devsdb1/')
        print sh.datastore
        assert sh.datastore.mountpoint == '/mnt/devsdb1'
        sh.comment = 'comment'
        sh.writeable = True
        sh.browseable = True
        sh.loaded = False # create
        sh.save()

        preshares = ShareTools.get_samba_sections()
        assert 'xxtest' in preshares

    #test nfs
    def test_discovery_remote_nfs(self):
        pass
    def test_reload_nfs_server(self):
        pass
    def test_create_nfs_share(self):
        pass
    def test_get_nfs_shares(self):
        pass
