#!/bin/bash
if [ $UID != 0 ]
then
echo Please use sudo satega-install.sh
exit
fi

echo "15.4 Installing Boxbackup (backup solution)"
here=`pwd`

echo 1 installing packages
apt-get -y install subversion  build-essential  xsltproc  openssl automake zlib1g-dev libssl-dev

echo 2 getting code from svn
cd /tmp/
svn co http://www.boxbackup.org/svn/box/trunk/ boxbackup

echo 3 starting setup
cd boxbackup
./bootstrap 
./configure --sysconfdir=/etc
make
make install-backup-server
make install-backup-client
useradd bbstored

echo installing , initializing
# TODO use parameter instead of fixed value. Let the gui decide
mkdir /mnt/backup
raidfile-config /etc/boxbackup 4096 /mnt/backup

chown -R bbstored:bbstored /mnt/backup
bbstored-config /etc/boxbackup `hostname` bbstored

echo generating encryption
cd /etc/boxbackup/
bbstored-certs ca init
bbstored-certs ca sign-server bbstored/`hostname`-csr.pem 
cp ca/servers/`hostname`-cert.pem bbstored
cp ca/roots/clientCA.pem bbstored/

echo creating satega folder
mkdir /etc/satega/

echo starting boxbackup
bbstored

#fix path problem on some systems
cp /usr/local/sbin/* /usr/sbin/
cd $here
echo 16. Finished setting up

